SYSCTL(8)

NAMN
sysctl — konfigurera kärnparametrar under gång

SYNOPSIS
sysctl [flaggor] [variabel[=värde]] […]
sysctl -p [fil eller reguttr] […]

BESKRIVNING
sysctl används fär att ändra kärnparametrar under gång. De tillgängliga parametrarna är de som listas under /proc/sys/. Procfs krävs för att stödja sysctl i Linux. Du kan använda sysctl både för att läsa och srkiva sysctl-data.

PARAMETRAR

variabel
    Namnet på en nyckel att läsa ifrån. Ett exempel är kernel.ostype. Separatorn ”/” godkänns också istället för en ”.”.

variabel=värde
    To set a key, use the form variable=value where variable is the key and value is the value to set it to. If the value contains quotes or characters which are parsed by the shell, you may need to enclose the value in double quotes.

-n, --values
    Använd denna flagga för att slå av utskrift av nyckelnamnet när värden skrivs.

-e, --ignore
    Använd denna flagga för att ignorera fel för okända nycklar.

-N, --names
    Använd denna flagga för att bara skriva namnen. Det kan vara användbart med skal som har programmerbar komplettering.

-q, --quiet
    Använd denna flagga för att inte visa värdena som sätts på standard ut.

-w, --write
    Use this option when all arguments prescribe a key to be set.

-p[FIL], --load[=FIL]
    Läs in sysctl-inställningar från filen som anges eller /etc/sysctl.conf om ingen anges. Att ange - som ett filnamn betyder att läsa data från standard in. Användning av denna flagg kommer betyda att argument till sysctl är filer, vilka läses i den ordning de anges. Filargumentet kan anges som ett reguljärt uttryck.

-a, --all
    Visa alla värden som för närvarande är tillgängliga.

--deprecated
    Inkludera utgående parametrar i värdelistningen med --all.

-b, --binary
    Skriv värdet utan nyrad.

--system
    Load settings from all system configuration files. Files are read from directories in the following list in given order from top to bottom. Once a file of a given filename is loaded, any file of the same name in subsequent directories is ignored.
    /run/sysctl.d/*.conf
    /etc/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern mönster
    Verkställ ändast inställningar som matchar mönster. Mönstret använder syntaxen för utökade reguljära uttryck.

-A  Alias för -a

-d  Alias för -h

-f  Alias för -p

-X  Alias för -a

-o  Gör ingenting, finns för kompatibilitet med BSD.

-x  Gör ingenting, finns för kompatibilitet med BSD.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa versionsinformation och avsluta.

EXEMPEL
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="exempel.se"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

FÖRÅLDRADE PARAMETRAR
base_reachable_time och retrans_time är föråldrade. Kommandot sysctl tillåter inte ändring av dessa parametrar. Användare som insisterar på att använda föråldrade kärngränssnitt får trycka värdet till filsystemet /proc på annat sätt. Till exempel:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

FILER
/proc/sys
/etc/sysctl.conf

SE ÄVEN
sysctl.conf(5) regex(7)

UPPHOVSMAN
George Staikos (staikos@0wned.org)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se